> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Variants

> Generate thumbnail headline variants for A/B comparison.



## OpenAPI

````yaml /openapi.json post /api/v1/thumbnails/generate-variants
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/thumbnails/generate-variants:
    post:
      tags:
        - Thumbnails
        - Thumbnails
      summary: Generate Variants
      description: Generate thumbnail headline variants for A/B comparison.
      operationId: generate_variants_api_v1_thumbnails_generate_variants_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateVariantsRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateVariantsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    GenerateVariantsRequest:
      properties:
        headline:
          type: string
          maxLength: 200
          minLength: 1
          title: Headline
        subtext:
          type: string
          maxLength: 200
          title: Subtext
          default: ''
        num_variants:
          type: integer
          maximum: 5
          minimum: 1
          title: Num Variants
          default: 3
      type: object
      required:
        - headline
      title: GenerateVariantsRequest
    GenerateVariantsResponse:
      properties:
        variants:
          items:
            $ref: '#/components/schemas/ThumbnailVariantResponse'
          type: array
          title: Variants
      type: object
      required:
        - variants
      title: GenerateVariantsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ThumbnailVariantResponse:
      properties:
        index:
          type: integer
          title: Index
        headline:
          type: string
          title: Headline
        subtext:
          type: string
          title: Subtext
        style:
          type: string
          title: Style
        accent_color:
          type: string
          title: Accent Color
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
      type: object
      required:
        - index
        - headline
        - subtext
        - style
        - accent_color
        - image_url
      title: ThumbnailVariantResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````